$(function () {
    activityHeader();
});
function activityHeader() {
    let text = `<div class="wrapper clearfix">
        <a href="../home/index.html" class="fl logo">活动评比</a>
        <a href="../home/login.html" class="fr mt20 button login" v-if="!userInfo.token">登录</a>
     
        <el-dropdown v-else class="fr mt25" size="medium" @command="handleCommand">
            <div class="el-dropdown-link hand">
                <span class="font-size-15 text-white">{{userInfo.user_realname}}</span>
                <i class="el-icon-arrow-down el-icon--right d-in-block v-mid"></i>
            </div>
            <el-dropdown-menu slot="dropdown">
                <el-dropdown-item command="manage">
                    后台管理
                </el-dropdown-item>
                <el-dropdown-item command="loginOut">
                    退出登录
                </el-dropdown-item>
            </el-dropdown-menu>
        </el-dropdown>
        <h3 v-if="userInfo.token" class="shot fr mr10">
           <img :src="userInfo.user_avatar.big" alt="">
        </h3>
    </div>`;
    $('#activityHeader').html(text);
    new Vue({
        el: '#activityHeader',
        data() {
            return {
                userInfo:{
                    user_realname: '',
                    user_avatar: {
                        big: ''
                    }
                }
            }
        },
        methods: {
            handleCommand(command) {
                switch (command) {
                    case 'loginOut':
                        if(localStorage.getItem('userInfo')) {
                            localStorage.removeItem('userInfo')
                            window.location.href = '../home/login.html';
                        }
                        break;
                    case 'manage':
                        if(localStorage.getItem('userInfo')) {
                            window.open('../manage/','_blank');
                        }
                        break;
                }
            }
        },
        mounted() {
           if(localStorage.getItem('userInfo')) {
               this.userInfo = JSON.parse(localStorage.getItem('userInfo'));
           }
        }
    })
}

//服务平台配置文件
var configText = []
configText['beta'] = {
    vision: "beta", //正式版:release,测试版:beta
    prefix: "https://kzkt.dev.bozedu.net",
    login: 'http://10.234.7.185:8090',
    yzy: 'https://yzy.dev.bozedu.net',
    uc: 'https://uc.dev.bozedu.net',
    stat: 'https://stat.dev.bozedu.net',
    oss: 'http://10.234.7.185:8090',
    qqyxt: 'https://qqyxt.dev.bozedu.net',
    socket: 'wss://socket.dev.bozedu.net',
    params: {
        site: 'qqyxt',
        api: 'json',
        token: '',
        client: 'web',
        safekey: ''
    },
    lessonPreparation_live: '',
    networkResearch_live: '',
}

configText['release'] = {
    vision: "release", //正式版:release,测试版:beta
    prefix: "https://kzkt.bozedu.net",
    login: 'http://10.234.7.185:8090',
    yzy: 'https://yzy.bozedu.net',
    uc: 'https://uc.bozedu.net',
    stat: 'https://stat.bozedu.net',
    oss: 'http://10.234.7.185:8090',
    qqyxt: 'https://qqyxt.bozedu.net',
    socket: 'wss://socket.bozedu.net',
    params: {
        site: 'qqyxt',
        api: 'json',
        token: '',
        client: 'web',
        safekey: ''
    },
    lessonPreparation_live: '',
    networkResearch_live: '',
}
var mode = 'release'; // var mode='beta'

window.globalData = configText[mode];