new Vue({
    el: '#activityList',
    data() {
        return {
            userInfo: {},
            type: '',
            hdgl: [],
            yxzp:[],
            tp:[],
            cur_page: 1,
            total_num: 0,
        }
    },
    methods: {
        getList() {
            let data = {
                token: this.userInfo.token,
                page: this.cur_page,
                limit: 10
            }
            if (this.type == '1') {
                data.hhg_fbz = '1';
                axios_get(link.ac_list, data).then((res) => {
                    if (res.data.code == 1) {
                        this.hdgl = res.data.data.page_data;
                        for (let i in this.hdgl) {
                            if (!this.hdgl[i].hhg_img.includes('http')) {
                                this.hdgl[i].hhg_img = globalData.login + '/' + this.hdgl[i].hhg_img;
                            }
                        }
                        this.cur_page = res.data.data.page_now;
                        this.total_num = Number(res.data.data.total_rows);
                    }
                });
            } else if (this.type == '2') {
                axios_get(link.works_list, data).then((res) => {
                    if (res.data.code == 1) {
                        this.yxzp = res.data.data.page_data;
                        for (let i in this.yxzp) {
                            if (!this.yxzp[i].hy_img.includes('http')) {
                                this.yxzp[i].hy_img = globalData.login + '/' + this.yxzp[i].hy_img;
                            }
                        }
                        this.cur_page = res.data.data.page_now;
                        this.total_num = Number(res.data.data.total_rows);
                    }
                });
            } else if(this.type == '3') {
                data.hw_cate = '1';
                data.hw_zt = '1';
                axios_get(link.vote_list, data).then((res) => {
                    if (res.data.code == 1) {
                        this.tp = res.data.data.page_data;
                        for(let v in this.tp) {
                            if(!this.tp[v].hw_img.includes('http')) {
                                this.tp[v].hw_img = globalData.login + '/' + this.tp[v].hw_img;
                            }
                        }
                        this.cur_page = res.data.data.page_now;
                        this.total_num = Number(res.data.data.total_rows);
                    }
                });
            }
        },
        handleCurrentChange(val) {
            this.cur_page = val;
            this.getList();
        },
        toDetail(type,id) {
            window.location.href = '../home/detail.html?type='+type + '&id=' + id;
        },
    },
    mounted() {
        if (localStorage.getItem('userInfo')) {
            this.userInfo = JSON.parse(localStorage.getItem('userInfo'));
            if (location.search.includes('type')) {
                this.type = location.search.substring(6)
                this.getList();
            }
        } else {
            window.location.href = '../home/login.html';
        }
    }
})