new Vue({
    el: '#activityMain',
    data() {
        return {
            userInfo: {
                token:''
            },
            currImgUrl: 'https://oss.bozedu.net/data/upload/month_202111/202111091052559678_BXuc.png',
            imgList: [],
            hdzt: [],
            yxzp: [],
            tzgg: [],
            dcwj: [],
            tp: []
        }
    },
    methods: {
        switchImg(item) {
            this.currImgUrl = item.hh_img;
            if (!this.currImgUrl.includes('http')) {
                this.currImgUrl = globalData.login + '/' + this.currImgUrl;
            }
        },
        getInfoList() {
            let data = {
                token: this.userInfo.token
            }
            axios_get(link.index, data).then(res => {
                if (res.data.code == 1) {
                    console.log(res.data.data, 89)
                    this.imgList = res.data.data.hdgg.slice(0, 5);
                    this.currImgUrl = this.imgList[0].hh_img;
                    if (this.currImgUrl && !this.currImgUrl.includes('http')) {
                        this.currImgUrl = globalData.login + '/' + this.currImgUrl;
                    }
                    this.hdzt = res.data.data.hdgl.slice(0, 3);
                    this.yxzp = res.data.data.yxzp.slice(0, 4);
                    for (let i in this.hdzt) {
                        if (this.hdzt[i].hhg_img && !this.hdzt[i].hhg_img.includes('http')) {
                            this.hdzt[i].hhg_img = globalData.login + '/' + this.hdzt[i].hhg_img;
                        }
                    }
                    for (let j in this.yxzp) {
                        if (this.yxzp[j].hy_img && !this.yxzp[j].hy_img.includes('http')) {
                            this.yxzp[j].hy_img = globalData.login + '/' + this.yxzp[j].hy_img;
                        }
                    }
                    this.tzgg = res.data.data.tzgg;
                    this.dcwj = res.data.data.wjtp1;
                    this.tp = res.data.data.wjtp2.slice(0, 7);
                    for (let v in this.tp) {
                        if (this.tp[v].hw_img && !this.tp[v].hw_img.includes('http')) {
                            this.tp[v].hw_img = globalData.login + '/' + this.tp[v].hw_img;
                        }
                    }
                }
            })
        },
        toList(type) {
            window.location.href = '../home/list.html?type=' + type;
        },
        toDetail(type, id) {
            window.location.href = '../home/detail.html?type=' + type + '&id=' + id;
        },
        fetchData(event) {
            //vue中获取滚动条到底部的距离
            let scrollBottom = event.target.scrollHeight - event.target.scrollTop - event.target.clientHeight
            //以下三个条件不执行数据加载：1.数据正在加载的状态，2.已经到底了，3.滚动条距离底部的距离小于100px
            if (scrollBottom == 0) {
                console.log(1111)
            }
        },
    },
    mounted() {
        this.getInfoList();
        if (localStorage.getItem('userInfo')) {
            this.userInfo = JSON.parse(localStorage.getItem('userInfo'));

        }
    }
});